Bug 813535 - sudo-1.7.2p1-13 breaks rules
sudo-1.7.2p1-13 breaks rules
Status: CLOSED DUPLICATE of bug 806073
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sudo (Show other bugs)
5.8
Unspecified Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Daniel Kopeček
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 15:27 EDT by Eirik
Modified: 2012-07-26 03:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-26 03:46:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
fix for sudo (633 bytes, text/plain)
2012-04-17 15:27 EDT, Eirik
no flags Details

  None (edit)
Description Eirik 2012-04-17 15:27:41 EDT
Created attachment 578133 [details]
fix for sudo

The new sudo includes a backport from 1.7.4 that adds selinux support, but it also includes a change to the way commands parsed that escapes certain characters, including '/' and '.'.  The attached patch fixes the problem.
Comment 1 anthony.alston 2012-06-07 12:12:27 EDT
Any idea when this fix is getting rolled into the RHEL5 base repository?
Comment 2 RHEL Product and Program Management 2012-06-11 21:33:21 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 3 Karel Srot 2012-06-12 01:50:42 EDT
Is this is a duplicate to bug 806073? Patches are quite different in size.
Comment 4 Jason 2012-07-24 14:36:08 EDT
To be more specific, for this rule:

msmith servera01=(svcusr) ALL 
svcusr servera01=(svcusr2) /bin/bash -c /tmp/command.sh

This command used to work:

[msmith@servera01]$ sudo -iu svrusr sudo -iu svcusr2 /tmp/command.sh

However, now sudo outputs:

Sorry, user svrusr is not allowed to execute '/bin/bash -c \/tmp\/command\.sh' as svcusr2 on servera01.

After trying many iterations, this rule seems to be an (insecure) workaround:

msmith servera01=(svcusr) ALL 
svcusr servera01=(svcusr2) /bin/bash -c ?/tmp?/command?.sh


I've verified this bug exists in sudo-1.7.2p1-14.el5_8, and was introduced in sudo-1.7.2p1-13.el5.
Comment 5 anthony.alston 2012-07-24 14:56:26 EDT
Thanks for the "?/" workaround.  I ended up downgrading to sudo-1.7.2p1-10 when I found that "\" and "\\" escapes did't work.  I assumed this bug would have been resolved by now, but I guess not.
Comment 6 Daniel Kopeček 2012-07-26 03:46:12 EDT

*** This bug has been marked as a duplicate of bug 806073 ***

Note You need to log in before you can comment on or make changes to this bug.